require 'em-eventsource'
require 'json'
require 'yaml'
require 'uri'
require 'tempfile'
require 'rest-client'

module Suc
  require 'mc'
  require 'message'

  DEFAULT_URL = ENV['SUFLOW_URL'] || 'http://localhost:3000'

  class << self

    attr_accessor :access_token, :email_client, :email_recipients, :email_cc_recipients

    def token_auth
      "Token #{access_token}"
    end

    def resource_url(resource)
      URI.join(DEFAULT_URL, resource)
    end

  end

end
