class Suc::Message < OpenStruct
  def body_from_user
    Tempfile.open('suflow', '/tmp') do |f|
      system('vi', f.path)
      self.body = f.read
    end
  end

  def publish!
    RestClient.post(Suc.resource_url('api/messages').to_s, { message: self.to_h } , authorization: Suc.token_auth )
  end

  class << self

    def live
      EM.run do
        source = EventMachine::EventSource.new(Suc.resource_url('api/flows'), {}, { authorization: Suc.token_auth })
        source.message do |message|
          message = Suc::Message.new(JSON.parse(message))
          puts message
        end
        source.start
      end
    end

    def from_json(json)
      JSON.parse(json).map{|m| new(m)}
    end

  end
end
